Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Compiler2Pass::TokenRule Struct Reference

structure used to build rule paths More...

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Member Functions
| TokenRule (void)
| TokenRule (const OperationType ot, const size_t token)
## Public Attributes
OperationType | operation
size_t | tokenID

## Detailed Description

structure used to build rule paths

Definition at line 164 of file OgreCompiler2Pass.h.

## Constructor & Destructor Documentation

Ogre::Compiler2Pass::TokenRule::TokenRule | ( | void |  | ) |

| Definition at line 169 of file OgreCompiler2Pass.h.

Ogre::Compiler2Pass::TokenRule::TokenRule | ( | const OperationType | ot,
|  | const size_t | token
| ) |

| Definition at line 170 of file OgreCompiler2Pass.h.

## Member Data Documentation

OperationType Ogre::Compiler2Pass::TokenRule::operation

| Definition at line 166 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenRule::tokenID

| Definition at line 167 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:08 2007